testing::internal::ParameterizedTestSuiteInfo< TestSuite > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::ParameterizedTestSuiteInfo< TestSuite >:

## Public Types

using | ParamType = typename TestSuite::ParamType
typedef ParamNameGenFunc< ParamType >::Type | ParamNameGeneratorFunc

## Public Member Functions

typedef | ParamGenerator (GeneratorCreationFunc)()
| ParameterizedTestSuiteInfo (const char *name, CodeLocation code_location)
const std::string & | GetTestSuiteName () const override
TypeId | GetTestSuiteTypeId () const override
void | AddTestPattern (const char *test_suite_name, const char *test_base_name, TestMetaFactoryBase< ParamType > *meta_factory)
int | AddTestSuiteInstantiation (const std::string &instantiation_name, GeneratorCreationFunc *func, ParamNameGeneratorFunc *name_func, const char *file, int line)
void | RegisterTests () override
Public Member Functions inherited from testing::internal::ParameterizedTestSuiteInfoBase
virtual | ~ParameterizedTestSuiteInfoBase ()

## Additional Inherited Members

Protected Member Functions inherited from testing::internal::ParameterizedTestSuiteInfoBase
| ParameterizedTestSuiteInfoBase ()

## Detailed Description

### template<class TestSuite>
class testing::internal::ParameterizedTestSuiteInfo< TestSuite >

Definition at line 11034 of file gtest.h.

## Member Typedef Documentation

## ParamNameGeneratorFunc

template<class TestSuite>

typedef ParamNameGenFunc<ParamType>::Type testing::internal::ParameterizedTestSuiteInfo< TestSuite >::ParamNameGeneratorFunc

Definition at line 11042 of file gtest.h.

## ParamType

template<class TestSuite>

using testing::internal::ParameterizedTestSuiteInfo< TestSuite >::ParamType = typename TestSuite::ParamType

Definition at line 11039 of file gtest.h.

## Constructor & Destructor Documentation

## ParameterizedTestSuiteInfo()

template<class TestSuite>

testing::internal::ParameterizedTestSuiteInfo< TestSuite >::ParameterizedTestSuiteInfo | ( | const char * | name,
|  | CodeLocation | code_location
| ) |  |

inlineexplicit

Definition at line 11044 of file gtest.h.

## Member Function Documentation

## AddTestPattern()

template<class TestSuite>

void testing::internal::ParameterizedTestSuiteInfo< TestSuite >::AddTestPattern | ( | const char * | test_suite_name,
|  | const char * | test_base_name,
|  | TestMetaFactoryBase< ParamType > * | meta_factory
| ) |  |

inline

Definition at line 11060 of file gtest.h.

## AddTestSuiteInstantiation()

template<class TestSuite>

int testing::internal::ParameterizedTestSuiteInfo< TestSuite >::AddTestSuiteInstantiation | ( | const std::string & | instantiation_name,
|  | GeneratorCreationFunc * | func,
|  | ParamNameGeneratorFunc * | name_func,
|  | const char * | file,
|  | int | line
| ) |  |

inline

Definition at line 11067 of file gtest.h.

## GetTestSuiteName()

template<class TestSuite>

const std::string& testing::internal::ParameterizedTestSuiteInfo< TestSuite >::GetTestSuiteName | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParameterizedTestSuiteInfoBase.

Definition at line 11049 of file gtest.h.

## GetTestSuiteTypeId()

template<class TestSuite>

TypeId testing::internal::ParameterizedTestSuiteInfo< TestSuite >::GetTestSuiteTypeId | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParameterizedTestSuiteInfoBase.

Definition at line 11053 of file gtest.h.

## ParamGenerator()

template<class TestSuite>

typedef testing::internal::ParameterizedTestSuiteInfo< TestSuite >::ParamGenerator | ( | GeneratorCreationFunc |  | ) |

## RegisterTests()

template<class TestSuite>

void testing::internal::ParameterizedTestSuiteInfo< TestSuite >::RegisterTests | ( |  | ) |

inlineoverridevirtual

Implements testing::internal::ParameterizedTestSuiteInfoBase.

Definition at line 11080 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h